[project]
name = "semeion"
version = "0.0.0"
description = "Scalable vector search engine with focus on post-mortem forensics"
authors = [
    {name = "Mario Stöckl", email = "mstoeck3@hs-mittweida.de"}
]
readme = "README.md"
requires-python = "~=3.13"

dependencies = [
    "PySide6~=6.8.0",
    "qdrant_client~=1.16.1",
]

[project.optional-dependencies]
dev = [
    "pytest",
]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["src/semeion"]

[project.scripts]
semeion = "semeion.main:main"
